import { _decorator, Component, instantiate, Node, Prefab } from 'cc';
import { ModulerBase } from '../GameFrameWork/ModulerBase';
import { resMgr } from '../../Frames/ResourcesMgr';
import { RoleCard } from './RoleCard';
import { RoleData } from '../../DataItem/ItemData';
import { dataMgr } from '../../Frames/DataManager';
const { ccclass, property } = _decorator;

@ccclass('RoleList')
export class RoleList extends ModulerBase {
    private _content: Node = null;
    private _roleData: RoleData[] = null;
    init() {
        this._roleData = dataMgr.getAllDataByName("RoleCardData");
        this._content = this.node.getChildByPath("view/content");
        this._roleData.forEach((values,index)=>{
            this.createRoleCard(index);
        })
    }
   
    createRoleCard(id: number){
        const roleCard: Node = instantiate(resMgr.getPrefab("RoleCard-Big"));
        roleCard.parent = this._content;
        roleCard.getComponent(RoleCard).init(id,this._roleData);
        //this._content.addChild(roleCard);
    }
}


