import { _decorator, Component, Label, Node, Sprite } from 'cc';
import { UIBase } from '../GameFrameWork/UIBase';
import { GameInfo } from '../../GameInfo';
import { resMgr } from '../../Frames/ResourcesMgr';
import { UIMgr } from '../../Frames/UIManager';
const { ccclass, property } = _decorator;

@ccclass('BattleSceneLeft')
export class BattleSceneLeft extends UIBase {
    protected onStart() {
        this._curLv(GameInfo.Instance.getCurlv());
        this.onBtnClick("_btnLevel", this._btnLevel);
    }

    //当前关卡
    private _curLv(lv: number) {
        this.getNode("_curLv").getComponent(Sprite).spriteFrame =
            resMgr.getSpriteFrame("font_0" + String(48 + lv));
    }

    private _btnLevel(){
        GameInfo.Instance.setBSTop(false);
        UIMgr.sendMsg("_battleMode", "BattleScene_Top");
        UIMgr.sendMsg("_batlleRightHide", "BattleScene_Right");
        this.hide(false);
        UIMgr.openUI("SelectTroops");
        //console.log("SelectTroops")
    }
}


